// Menus 
function archaeology_museums_menu_open_nav() {
  jQuery(".sidenav").addClass('show');
}
function archaeology_museums_menu_close_nav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function archaeology_museums_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const archaeology_museums_nav = document.querySelector( '.sidenav' );

      if ( ! archaeology_museums_nav || ! archaeology_museums_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...archaeology_museums_nav.querySelectorAll( 'input, a, button' )],
        archaeology_museums_lastEl = elements[ elements.length - 1 ],
        archaeology_museums_firstEl = elements[0],
        archaeology_museums_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && archaeology_museums_lastEl === archaeology_museums_activeEl ) {
        e.preventDefault();
        archaeology_museums_firstEl.focus();
      }

      if ( shiftKey && tabKey && archaeology_museums_firstEl === archaeology_museums_activeEl ) {
        e.preventDefault();
        archaeology_museums_lastEl.focus();
      }
    } );
  }
  archaeology_museums_keepFocusInMenu();
} )( window, document );

jQuery('document').ready(function($){
	// preloader
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
  
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

/*sticky copyright*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

// Scroller
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// Title Color
jQuery(document).ready(function () {
    jQuery("#banner .inner_carousel h1.banner-title").each(function () {
        var t = jQuery(this).text();
        var splitT = t.split(" ");
        var newText = "";

        for (var i = 0; i < splitT.length; i++) {
            if (i === splitT.length - 1) { // Check if it's the last word
                newText += "<span class='title-text'>";
                newText += splitT[i]; // Add the last word with the class
                newText += "</span>";
            } else {
                newText += splitT[i] + " ";
            }
        }

        jQuery(this).html(newText.trim()); // Replace the text with the updated HTML
    });
});

// homepage sidebar
jQuery(document).ready(function () {
	function archaeology_museums_search_loop_focus(element) {
		var archaeology_museums_focus = element.find('select, input, textarea, button, a[href]');
		var archaeology_museums_firstFocus = archaeology_museums_focus[0];  
		var archaeology_museums_lastFocus = archaeology_museums_focus[archaeology_museums_focus.length - 1];
		var KEYCODE_TAB = 9;

		element.on('keydown', function archaeology_museums_search_loop_focus(e) {
			var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

			if (!isTabPressed) { 
			  return; 
			}

			if ( e.shiftKey ) /* shift + tab */ {
			  if (document.activeElement === archaeology_museums_firstFocus) {
		    archaeology_museums_lastFocus.focus();
		      e.preventDefault();
		    }
		  	} else /* tab */ {
		  	if (document.activeElement === archaeology_museums_lastFocus) {
		    	archaeology_museums_firstFocus.focus();
		      e.preventDefault();
		    }
		  }
		});
	}

  jQuery('.toggle-btn a').click(function(){
    jQuery(".header-sidebar").addClass('show');
  	archaeology_museums_search_loop_focus(jQuery('.header-sidebar'));
  });

  jQuery('.header-sidebar .close-pop a').click(function(){
    jQuery(".header-sidebar").removeClass('show');
  });
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const archaeology_museums_progressBar =
        document.getElementById("archaeology_museums_elemento_progress_bar");
    if (!archaeology_museums_progressBar) return;
    window.addEventListener("scroll", function () {
        const archaeology_museums_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const archaeology_museums_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const archaeology_museums_scrolled =
            (archaeology_museums_scrollTop / archaeology_museums_height) * 100;
        archaeology_museums_progressBar.style.width =
            archaeology_museums_scrolled + "%";
    });
});